import java.lang.System

lineSeparator = java.lang.System.getProperty('line.separator')

#########################################
#
# private helper method
#    uninstall Asynchronous Response Servlet 
#    from current profile
#
#########################################	
def uninstallServlet(server, nodeName, cellName):
	serverName=AdminConfig.showAttribute(server,"name")

	installRoot=java.lang.System.getProperty("was.install.root")
	
	type=AdminTask.getServerType("[-serverName " + serverName + " -nodeName " + nodeName + "]")
	
	if type == "APPLICATION_SERVER":		
		AdminApp.uninstall('ibmasyncrsp', "[-node " + nodeName + " -cell " + cellName + " -server " + serverName + "]")
		
		print "Asynchronous Response Servlet uninstalled for " + nodeName + "/" + cellName + "/" + serverName

		# save the change
		AdminConfig.save( )
	
		return ""
	else:
		print "Not an application server, aborting async servlet uninstall."
		
		return ""



#########################################
#
# get current profile values
#
#########################################

node=AdminConfig.list("Node")
nodeName=AdminConfig.showAttribute(node,"name")

cell=AdminConfig.list("Cell")
cellName=AdminConfig.showAttribute(cell,"name")

server=AdminConfig.list("Server")

if server == "":
	print "No application server detected. Aborting uninstallation of Asynchronous Response Servlet."
else:
	serverList = server.split(lineSeparator)
	for i in serverList:
		uninstallServlet(i, nodeName, cellName)